# StateActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``StateActuator`(Actuator)

  Actuator to handle states

  `operation`

    Select the bit operation on object state mask

    Type: | enum in [‘SET’, ‘ADD’, ‘REMOVE’, ‘CHANGE’], default ‘SET’

  `states`

    Type: | boolean array of 30 items, default (False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False)

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`